Bug 8730 - browse overlaying powered by
Summary: browse overlaying powered by
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-05 19:26 UTC by Nicole C. Engard
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
powered by floats on top (69.44 KB, image/png)
2012-09-05 19:26 UTC, Nicole C. Engard
Details
Bug 8730 - browse overlaying powered by (838 bytes, patch)
2012-09-06 19:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8730 - browse overlaying powered by (912 bytes, patch)
2012-09-07 13:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-09-05 19:26:10 UTC
Created attachment 11989 [details]
powered by floats on top

When you use the browse results option on the detail page in conjunction with the powered by Koha message it overlays funny - the powered by comes on top of the browse but should probably fall behind.
Comment 1 Owen Leonard 2012-09-06 19:08:13 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-09-06 21:06:23 UTC
The result of the patch is:

a.koha_url {
     display: none;
 	background-color:#F3F3F3;
 	padding-bottom:10px;
        z-index: 100;
 }

koha_url is related to the "Powered by..." Link (not to the browse results):

<a class="koha_url" rel="nofollow" href="http://koha-community.org">Koha</a>

...and a positive z-index will bring it on the top of the other contents, not behind, see:

https://developer.mozilla.org/en-US/docs/CSS/Understanding_z-index/Adding_z-index

Or did I miss something?  :-)

Marc
Comment 3 Owen Leonard 2012-09-07 12:28:40 UTC
The result of applying the patch should be this (starting at line 2219):

a.koha_url {
    text-decoration:none;
}
/* pagination */
.pagination {
    position: absolute;
    top:32px;
    left: -1px;
    width: 100%;
    height:auto;
    border: 1px solid #D0D0D0;
    display: none;
	background-color:#F3F3F3;
	padding-bottom:10px;
+    z-index: 100;
}

Are you sure you're applying the patch on master?
Comment 4 Kyle M Hall 2012-09-07 13:27:48 UTC
Created attachment 12044 [details] [review]
Bug 8730 - browse overlaying powered by

This patch adds a "z-index" property to the CSS for
the browse results menu so that it will appear
on top of the "Powered by Koha" link.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Marc Véron 2012-09-07 13:39:47 UTC
Owen,

Sorry for the confusion. Maybe it was a cache problem. Just tested again and it worked fine.

While I was testing Kyle signed off :-)

Marc
Comment 6 Jonathan Druart 2012-09-13 09:10:30 UTC
works as expected, simple patch, nothing to say.

Marked as Passed QA
Comment 7 Paul Poulain 2012-09-14 09:22:23 UTC
Patch pushed to master
Comment 8 Chris Cormack 2012-09-15 19:25:32 UTC
No string changes, pushed to 3.8.x, will be in 3.8.5